package cz.cvut.fel.aos.hateoas.model;

import java.util.ArrayList;
import java.util.List;

public class Order {

	public Long id;
	public List<Item> items;

	public void addItem(Item item) {
		if (items == null) {
			items = new ArrayList<Item>();
		}
		item.id = items.size() + 1L;
		items.add(item);
	}

	public void removeItem(Item item) {
		if (items != null) {
			items.remove(item);
		}
	}

	public Item findItem(Long id) {
		for (Item item : items) {
			if (item.id == id) {
				return item;
			}
		}
		return null;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) {
			return true;
		}
		if (o == null || getClass() != o.getClass()) {
			return false;
		}

		Order order = (Order) o;

		if (!id.equals(order.id)) {
			return false;
		}

		return true;
	}

	@Override
	public int hashCode() {
		return id.hashCode();
	}
}
